Can't view this message in Mail

VERIFIED FIXED in M13

Status

P3
normal
VERIFIED FIXED
19 years ago
14 years ago

People

(Reporter: kinmoz, Assigned: rhp)

Tracking

Trunk
x86
Windows NT

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

19 years ago
I have the following message in my IMAP inbox. I can read it if I use
Communicator 4.7, but if I use Mozilla 5.0 Mail, clicking on it does nothing
except cause the message content area to stop repainting.

On WinNt, if I bring a window in front of the content area, and then make the
content window the front window again, it does not repaint, that is you can
still see whatever used to be over it.

Here's the message in my inbox:


Return-Path: <knab@hooked.net>
Received: from hemail.mcom.com ([205.217.237.179]) by
          dredd.mcom.com (Netscape Messaging Server 4.1 Aug  9 1999
          18:28:31) with ESMTP id FMNVVK00.MJ6 for <kin@dredd.mcom.com>;
          Sun, 12 Dec 1999 20:16:32 -0800
Received: from ywing.netscape.com (ywing.mcom.com [207.200.72.93])
        by hemail.mcom.com (8.8.8/8.8.5) with ESMTP id UAA23774
        for <kin@netscape.com>; Sun, 12 Dec 1999 20:16:30 -0800 (PST)
Received: from wenet.net (rod.gstis.net [207.170.196.195])
        by ywing.netscape.com (8.9.3/8.9.3) with ESMTP id UAA16645
        for <kin@netscape.com>; Sun, 12 Dec 1999 20:16:30 -0800 (PST)
Received: from hooked.net (cvx01-551.sfo.wenet.net [206.169.250.43])
        by wenet.net (8.9.3/8.9.3) with ESMTP id UAA07621;
        Sun, 12 Dec 1999 20:16:21 -0800 (PST)
Message-ID: <385473AC.F3160A22@hooked.net>
Date: Sun, 12 Dec 1999 20:18:53 -0800
From: KnAB <knab@hooked.net>
X-Mailer: Mozilla 4.61 [en] (Win95; I)
X-Accept-Language: en
MIME-Version: 1.0
To: Kin Blas <kin@netscape.com>, Kin Camacho <kingel@netpci.com>,
        Dom Perez <dominique_cruz@glic.com>,
        "jerome.perez" <jerome.perez@highmarklife.com>,
        Joycie Cruz <joyce_cruz@glic.com>, Julio Cruz <jcruz@mdbe.com>,
        "Joey Perez [Napulahi]" <napulahi@best.com>,
        Ann Perez <abperez@aol.com>,
        "April Miller [HotMail]" <adm_islandgirl@hotmail.com>,
        Barbara Sanchez <destinys_venus@yahoo.com>,
        Lelani Sanchez <sanchezlelani@hotmail.com>,
        Jane Sanchez <marksco@mail.rpn.earthreach.com>,
        John and Steph San Nicolas <mochada@gateway.net>,
        John Park <shrug@mindspring.com>, Ralph Blas <ralphb@peets.com>,
        Alan Kao <mud666@earthlink.net>,
        "Crena Byerly [Old]" <CByerly@ortc.com>,
        Dylan Byerly <mansanita@aol.com>, Junior Topasna <jr@bigredorange.com>,
        "Blas, Antoinette" <N1024@guam.navy.mil>,
        Lita Pitts <lipitts@san.rr.com>,
        "Michele C.D. Reyes" <"kdnj4"@ite.net@ite.net>,
        "Lisa R. Dubb" <Lisa_R._Dubb@glic.com>,
        Lupe Rodriguez <Lupe_Rodriguez@glic.com>,
        Rashel Azizian <Rashel_Azizian@glic.com>,
        Gaily Gail <ggalvante@navg.com>,
        Michael Patterson <mjohnp@mindspring.com>,
        Art Delisle <duke11@sirius.com>,
        Bryan and Shereen Gerlach <reengerlach@earthlink.net>,
        Bryant Palomo <b_palomo@hotmail.com>,
        Shirley Martos <martoss@mcguirere.com>,
        Darwin Martos <dmartos@sprynet.com>, Chris Lawlor <clawlor@excite.com>
Subject: MOON
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

 From one of my old Oscar Mayer pals, an
operations
> research type:
>
> Remember, you heard it here first.
>
> This year will see the first full moon occur on
the
> winter solstice, Dec. 22,
> commonly called the "first day of winter".
>
> Since a full moon on the winter solstice will
occur
> in conjunction with a lunar
> perigee (point in the moon's orbit that is
closest
> to Earth), the moon will
> appear about 14% larger than it does at apogee
(the
> point in it's elliptical
> orbit that is farthest from the Earth) since the
> Earth is also several million
> miles closer to the sun at this time of the year
> than in the summer, sunlight
> striking the moon is about 7% stronger making it
> brighter. Also, this will be
> the closest perigee of the Moon of the year since
> the moon's orbit is
> constantly deforming.
>
> If the weather is clear and there is a snow cover
> where you live, it is
> believed that even car headlights will be
> superfluous.
>
> On December 21st 1866, the Lakota Sioux took
> advantage of this combination of
> occurrences and staged a devastating retaliatory
> ambush on soldiers in the
> Wyoming Territory.
>
> In laymen's terms, it will be a super bright full
> moon, much brighter than
> usual AND it hasn't happened this way for 133
years!
> Our ancestors 133 years
> ago saw this. Our descendants 100 or so years
from
> now will see this again.
>
> I hope someone else might find this interesting!
> Remember this will happen
> December 22, 1999. Take a look at the sky that
> evening.
>
> Bob and Sandy Warren
> rwarren@inna.net
>
>
>
>
>
>
> --- End Forwarded Message ---
>
(Reporter)

Comment 1

19 years ago
More info ... when I try to read the message, this appears in the console:


XML Error in file 'imap://kin@nsmail-2.mcom.com:143/fetch>UID>/INBOX>42940', Lin
e Number: 102, Col Number: 34, Description: not well-formed
Source Line: ,&#160;<html:a href="mailto:kdnj4"@ite.net@ite.net">Michele C.D. Re
yes &lt;"kdnj4"@ite.net@ite.net&gt;</html:a>

Updated

19 years ago
QA Contact: lchiang → pmock

Updated

19 years ago
Assignee: phil → rhp

Comment 2

19 years ago
Linkifier getting confused? Reassign to rhp, cc BenB

Comment 3

19 years ago
This is not my bug: The malformed line results from the headers being passed
through my (recognition) code (i.e. the TO-header is linkyfied), which shouldn't
be the case.
Although this reveals, what seems to be a bug in my code :-).

Comment 4

19 years ago
Filed bug #21603 against myself and noticed, that at least my current code puts
out that:
ScanTXT orginal:         "Michele C.D. Reyes" <"kdnj4"@ite.net@ite.net>,
ScanTXT result:          "Michele C.D. Reyes" &lt;"kdnj4"<a
href="mailto:@ite.net@ite.net">@ite.net@ite.net</a>&gt;,

Kin, which build do you use? If you're using a current one, it looks like the
output wasn't produced by my code at all.
(Reporter)

Comment 5

19 years ago
I'm using my 12/13/1999 SeaMonkey WinNt build.

The bad address was from my wife's Communicator 4.61 address book.

I'm not concerned about the problems we are having parsing the malformed
address. I'm more concerned about the fact that I can't read that message
because of an error in one of the receipient's address.

I should be able to read the message no matter how mangled the other
receipient's addresses are.

Comment 6

19 years ago
kin,
I agree.
I was just checking, if that bug is related to me. But the xml doesn't seem to
root from my code.
(Assignee)

Updated

19 years ago
Status: NEW → ASSIGNED
Summary: Can't view this message in Mail → [FIXED] Can't view this message in Mail
Target Milestone: M13
(Assignee)

Comment 7

19 years ago
Good catch. I have this fixed in my tree and will checkin when M13 opens up.

- rhp
(Assignee)

Updated

19 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 19 years ago
Resolution: --- → FIXED
Summary: [FIXED] Can't view this message in Mail → Can't view this message in Mail
(Assignee)

Comment 8

19 years ago
This was fixed in my last raft of checkings for another bug.

- rhp

Updated

19 years ago
Status: RESOLVED → VERIFIED

Comment 9

19 years ago
Verified as fixed on win32, macos, and linux using the following builds:
ftp://sweetlou/products/client/seamonkey/windows/32bit/x86/1999-12-21-09-M13/sea
monkey32e.exe
ftp://sweetlou/products/client/seamonkey/unix/linux_glibc/2.2/x86/1999-12-21-08-
M13/netscape-i686-pc-linux-gnu.tar.gz
ftp://sweetlou/products/client/seamonkey/macos/8.x/ppc/1999-12-21-08-M13/NSMacIn
staller-M13.sea.bin

The message displays fine now.
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.